Subject: Re: bug#53439: [PATCH] doc: Document search paths.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 23 Jan 2022 22:40:07 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> * doc/guix.texi (package Reference): Link to "Search Paths".
>> (Build Phases): Mention 'set-paths' phase.
>> (Search Paths): New node.
>> ---
>>  doc/guix.texi | 184 +++++++++++++++++++++++++++++++++++++++++++++++++-
>>  1 file changed, 183 insertions(+), 1 deletion(-)
>
> [...]
>
>> +@item @code{file-type} (default: @code{'directory})
>> +The type of file being matched.
>> +
>> +In the libxml2 example above, we would match regular files.
>
> Here I am left wondering what other valid values (other than 'regular or
> 'directory) may be?  I remember trying to find such answer, and it was
> not obvious (I can't remember where the answer lies in the Guile manual
> as I type this!).

Oh right, these are the symbols returned by ‘stat:kind’.  I’ll clarify
that.

>> +@item @code{file-pattern} (default: @code{#f})
>> +When true, this is a regular expression specifying files to be
>> matched
>
> I'd replace "When true", which I find confusing, by 'Optional' or
> similar.

“When true” is to be taken literally: if it has truth value, in the
Scheme sense.  But “Unless @code{#f}” might be clearer?

(“Optional” sounds confusing to me because there has to be a value,
default or not.)

Thanks for taking a look!

Ludo’.